[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RHEL3 rpmdb corruption



Hi,

For building RHEL3 packages I have a RHEL3 build environment in a chroot 
on a RHFC1 system. I do this for RH62, RHAS21, RH73, RH80, RH9 and RHFC1 
too without any problems.

This is the second time I have an rpmdb corruption inside the RHEL3 build 
environment. The problems began when suddenly up2date tells me to import 
the RHN GPG key. When installing the key, nothing happens. Then I did:

	[root@rhel3 /]# up2date -i gcc gcc-c++
	Your GPG keyring does not contain the Red Hat, Inc. public key.
	Without it, you will be unable to verify that packages Update Agent 
	downloads
	are securely signed by Red Hat.

	Your Update Agent options specify that you want to use GPG.

	To install the key, run the following as root:

	    rpm --import /usr/share/rhn/RPM-GPG-KEY

	[root@rhel3 /]# rpm --import /usr/share/rhn/RPM-GPG-KEY
	[root@rhel3 /]# up2date -i gcc gcc-c++
	Your GPG keyring does not contain the Red Hat, Inc. public key.
	Without it, you will be unable to verify that packages Update Agent 
	downloads
	are securely signed by Red Hat.

	Your Update Agent options specify that you want to use GPG.

	To install the key, run the following as root:

	    rpm --import /usr/share/rhn/RPM-GPG-KEY

	[root@rhel3 /]# rpm -q gpg-pubkey
	[root@rhel3 /]# ls -la /usr/share/rhn/RPM-GPG-KEY
	-rw-r--r--    1 root     root         1913 Aug 29  2002 /usr/share/rhn/RPM-GPG-KEY
	[root@rhel3 /]# rpm --import /usr/share/rhn/RPM-GPG-KEY
	[root@rhel3 /]# rpm -q gpg-pubkey
	[root@rhel3 /]# rpm -qa | grep gpg
	error: rpmdbNextIterator: skipping h#      10 region trailer: BAD, tag 1952543845 type 543385697 offset -1852269939 count 543780384
	error: rpmdbNextIterator: skipping h#      38 blob size(10588): BAD, 8 + 16 * il(0) + dl(0)
	error: rpmdbNextIterator: skipping h#      40 blob size(27900): BAD, 8 + 16 * il(-2119925340) + dl(-2119925340)
	error: rpmdbNextIterator: skipping h#      48 region trailer: BAD, tag 1667392305 type 1681089848 offset -1667326264 count 825309495
	error: rpmdbNextIterator: skipping h#      78 region trailer: BAD, tag 1801810720 type 673396277 offset -859257129 count 169877549
	error: rpmdbNextIterator: skipping h#      94 blob size(11348): BAD, 8 + 16 * il(1869575168) + dl(1919905652)
	error: rpmdbNextIterator: skipping h#     114 blob size(11868): BAD, 8 + 16 * il(6137) + dl(58)
	error: rpmdbNextIterator: skipping h#     118 region trailer: BAD, tag 0 type 0 offset 0 count 0
	gpgme0311-0.3.11-0.rhel3.dag
	gpg-pubkey-db42a60e-37ea5438
	error: rpmdbNextIterator: skipping h#       1 blob size(8664): BAD, 8 + 16 * il(1869575168) + dl(1919905652)
	error: rpmdbNextIterator: skipping h#       5 blob size(34648): BAD, 8 + 16 * il(1650877029) + dl(939549285)
	error: rpmdbNextIterator: skipping h#      11 region trailer: BAD, tag 908084054 type 1394635631 offset -544695584 count 1667329568
	error: rpmdbNextIterator: skipping h#      23 region trailer: BAD, tag 0 type 0 offset 0 count 0
	error: rpmdbNextIterator: skipping h#      41 blob size(85620): BAD, 8 + 16 * il(757098089) + dl(2015392353)
	error: rpmdbNextIterator: skipping h#     103 blob size(12612): BAD, 8 + 16 * il(1229079391) + dl(841888046)
	error: rpmdbNextIterator: skipping h#     105 blob size(7024): BAD, 8 + 16 * il(1885433449) + dl(1668489327)
	error: rpmdbNextIterator: skipping h#     109 blob size(16472): BAD, 8 + 16 * il(542333261) + dl(1112493151)
	error: rpmdbNextIterator: skipping h#     117 blob size(84300): BAD, 8 + 16 * il(242548736) + dl(171507712)
	error: rpmdbNextIterator: skipping h#     137 blob size(18908): BAD, 8 + 16 * il(960049408) + dl(3421542)
	gpg-pubkey-db42a60e-37ea5438
	[root@rhel3 /]# rpm --rebuilddb
	error: rpmdbNextIterator: skipping h#      10 region trailer: BAD, tag 1952543845 type 543385697 offset -1852269939 count 543780384
	error: rpmdbNextIterator: skipping h#      38 blob size(10588): BAD, 8 + 16 * il(0) + dl(0)
	error: rpmdbNextIterator: skipping h#      40 blob size(27900): BAD, 8 + 16 * il(-2119925340) + dl(-2119925340)
	error: rpmdbNextIterator: skipping h#      48 region trailer: BAD, tag 1667392305 type 1681089848 offset -1667326264 count 825309495
	error: rpmdbNextIterator: skipping h#      78 region trailer: BAD, tag 1801810720 type 673396277 offset -859257129 count 169877549
	error: rpmdbNextIterator: skipping h#      94 blob size(11348): BAD, 8 + 16 * il(1869575168) + dl(1919905652)
	error: rpmdbNextIterator: skipping h#     114 blob size(11868): BAD, 8 + 16 * il(6137) + dl(58)
	error: rpmdbNextIterator: skipping h#     118 region trailer: BAD, tag 0 type 0 offset 0 count 0
	error: rpmdbNextIterator: skipping h#       1 blob size(8664): BAD, 8 + 16 * il(1869575168) + dl(1919905652)
	error: rpmdbNextIterator: skipping h#       5 blob size(34648): BAD, 8 + 16 * il(1650877029) + dl(939549285)
	error: rpmdbNextIterator: skipping h#      11 region trailer: BAD, tag 908084054 type 1394635631 offset -544695584 count 1667329568
	error: rpmdbNextIterator: skipping h#      23 region trailer: BAD, tag 0 type 0 offset 0 count 0
	error: rpmdbNextIterator: skipping h#      41 blob size(85620): BAD, 8 + 16 * il(757098089) + dl(2015392353)
	error: rpmdbNextIterator: skipping h#     103 blob size(12612): BAD, 8 + 16 * il(1229079391) + dl(841888046)
	error: rpmdbNextIterator: skipping h#     105 blob size(7024): BAD, 8 + 16 * il(1885433449) + dl(1668489327)
	error: rpmdbNextIterator: skipping h#     109 blob size(16472): BAD, 8 + 16 * il(542333261) + dl(1112493151)
	error: rpmdbNextIterator: skipping h#     117 blob size(84300): BAD, 8 + 16 * il(242548736) + dl(171507712)
	error: rpmdbNextIterator: skipping h#     137 blob size(18908): BAD, 8 + 16 * il(960049408) + dl(3421542)
	[root@rhel3 /]# rpm -qa | grep gpg
	gpgme0311-0.3.11-0.rhel3.dag
	gpg-pubkey-db42a60e-37ea5438
	gpg-pubkey-db42a60e-37ea5438
	[root@rhel3 /]# rpm -e gpg-pubkey-db42a60e-37ea5438
	error: "gpg-pubkey-db42a60e-37ea5438" specifies multiple packages
	[root@rhel3 /]# rpm -e gpg-pubkey-db42a60e-37ea5438 --allmatches
	[root@rhel3 /]# rpm --import /usr/share/rhn/RPM-GPG-KEY
	[root@rhel3 /]# rpm -qa | grep gpg
	gpgme0311-0.3.11-0.rhel3.dag
	gpg-pubkey-db42a60e-37ea5438
	[root@rhel3 /]# rpm -qa | wc -l   
	    129
	[root@rhel3 /]# apt-get update
	Reading Package Lists... Done
	Building Dependency Tree... Done
	[root@rhel3 /]# apt-get upgrade
	Reading Package Lists... Done
	Building Dependency Tree... Done
	You might want to run `apt-get -f install' to correct these.
	The following packages have unmet dependencies:
	  Glide3: PreDepends: /bin/sh but it is not installable
	          PreDepends: /sbin/ldconfig but it is not installable
	          PreDepends: /sbin/ldconfig but it is not installable
	          Depends: libX11.so.6 but it is not installable
	          Depends: libXext.so.6 but it is not installable
	          Depends: libc.so.6 but it is not installable
	          Depends: libc.so.6(GLIBC_2.0) but it is not installable
	          Depends: libc.so.6(GLIBC_2.1) but it is not installable
	          Depends: libc.so.6(GLIBC_2.1.3) but it is not installable
	          Depends: libm.so.6 but it is not installable
	          Depends: libm.so.6(GLIBC_2.0) but it is not installable
	...

This was identical to last times corruption. Since then I've been using 
LD_ASSUME_KERNEL=2.4.9 hoping that that is a solution.

What am I doing wrong here ?

Kind regards,
--   dag wieers,  dag@wieers.com,  http://dag.wieers.com/   --
[Any errors in spelling, tact or fact are transmission errors]




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]